io.vertx.rxjava3.ext.web.client

## Class WebClientSession

- java.lang.Object
- - io.vertx.rxjava3.ext.web.client.WebClient
  - - io.vertx.rxjava3.ext.web.client.WebClientSession

-     public class WebClientSession
      extends WebClient

  An asynchronous sessions aware HTTP / HTTP/2 client called `WebClientSession`.

  This client wraps a `WebClient` and makes it session aware adding features to it:

  - Per client headers, to be send with every request
  - Per client cookies, to be send with every request
  - Automatic storage and sending of cookies received from the server(s)

  The client honors the cookies attributes:

  - domain
  - path
  - secure
  - max-age and expires

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<WebClientSession>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebClientSession(Object delegate)`
    `WebClientSession(WebClientSession delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WebClientSession` | `addHeader(String name, String value)` Configure the client to add an HTTP header to every request.
    `static WebClientSession` | `create(WebClient webClient)` Create a session aware web client using the provided `webClient` instance.
    `boolean` | `equals(Object o)`
    `WebClientSession` | `getDelegate()`
    `int` | `hashCode()`
    `static WebClientSession` | `newInstance(WebClientSession arg)`
    `WebClientSession` | `removeHeader(String name)` Removes a previously added header.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava3.ext.web.client.WebClient

      `close, create, create, delete, delete, delete, deleteAbs, get, get, get, getAbs, head, head, head, headAbs, newInstance, patch, patch, patch, patchAbs, post, post, post, postAbs, put, put, put, putAbs, request, request, request, request, request, request, request, request, requestAbs, requestAbs, wrap, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<WebClientSession> __TYPE_ARG

  - ### Constructor Detail

    - #### WebClientSession

          public WebClientSession(WebClientSession delegate)

    - #### WebClientSession

          public WebClientSession(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `WebClient`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `WebClient`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `WebClient`

    - #### getDelegate

          public WebClientSession getDelegate()

      Overrides:
        `getDelegate` in class `WebClient`

    - #### create

          public static WebClientSession create(WebClient webClient)

      Create a session aware web client using the provided `webClient` instance.
      Parameters:
        `webClient` - the web client instance
      Returns:
        the created client

    - #### addHeader

          public WebClientSession addHeader(String name,
                                            String value)

      Configure the client to add an HTTP header to every request.
      Parameters:
        `name` - the header name
        `value` - the header value
      Returns:
        a reference to this, so the API can be used fluently

    - #### removeHeader

          public WebClientSession removeHeader(String name)

      Removes a previously added header.
      Parameters:
        `name` - the header name
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static WebClientSession newInstance(WebClientSession arg)

Copyright © 2021 Eclipse. All rights reserved.